import * as pdfjs from "pdfjs-dist";
export interface Props {
    url: string;
    data?: string | null;
    scale?: number;
    currentPageNum?: number;
    flipTime?: number;
    showButtons?: Array<"navigation" | "zoom" | "print" | "rotate" | "download" | "autoflip" | "timeInfo" | "pageInfo">;
    totalPage?: number;
    downloadFileName?: string;
    showTopButton?: boolean;
    onProgress?: Function | undefined;
    onkeydown?: () => {};
    translations?: Partial<{
        "document-requires-password": string;
        submit: string;
        "zoom-out": string;
        print: string;
        "anti-clockwise": string;
        clockwise: string;
        download: string;
        previous: string;
        next: string;
        "zoom-in": string;
        "auto-turn-page": string;
        min: string;
        "back-to-top": string;
    }>;
    onPrevPage?: () => void;
    onNextPage?: () => void;
    onZoomIn?: () => void;
    onZoomOut?: () => void;
    printPdf?: (url: string) => void;
    onClockwiseRotate?: () => void;
    onAntiClockwiseRotate?: () => void;
    onDownloadPdf?: ({ url, data, }: {
        url: string;
        data: string | null;
    }) => void;
    queueRenderPage?: (num: number) => void;
    pdfjsWorkerSrc?: typeof pdfjs.GlobalWorkerOptions.workerSrc;
}
declare const PdfViewer: import("svelte").Component<Props, {}, "scale" | "currentPageNum" | "totalPage" | "onPrevPage" | "onNextPage" | "onZoomIn" | "onZoomOut" | "printPdf" | "onClockwiseRotate" | "onAntiClockwiseRotate" | "onDownloadPdf" | "queueRenderPage">;
type PdfViewer = ReturnType<typeof PdfViewer>;
export default PdfViewer;
